whisper-1。
核心能力
- 語音轉文字 - 轉錄上傳的音訊檔案
- 檔案上傳 - 透過 multipart form data 傳送音訊
- 輸出格式 - 支援模型對應的回應格式
快速範例
- cURL
- Python
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Whisper 1:語音轉文字模型。包含 MixRoute 呼叫範例與參數。
whisper-1。
curl "https://api.mixroute.ai/v1/audio/transcriptions" \
-H "Authorization: Bearer YOUR_API_KEY" \
-F "file=@speech.wav" \
-F "model=whisper-1"
from openai import OpenAI
client = OpenAI(api_key="YOUR_API_KEY", base_url="https://api.mixroute.ai/v1")
with open("speech.wav", "rb") as audio_file:
transcript = client.audio.transcriptions.create(
model="whisper-1",
file=audio_file,
)
print(transcript.text)
| 參數 | 類型 | 必填 | 說明 |
|---|---|---|---|
file | file | 是 | 透過 multipart form data 上傳的音訊檔案。 |
model | string | 是 | 固定為 whisper-1。 |
language | string | 否 | 模型支援時指定輸入語言代碼。 |
prompt | string | 否 | 用於引導轉錄的可選文字。 |
response_format | string | 否 | 轉錄回應格式。 |